export declare class CommUtils {
    /**
     * 是否Node客户端
     */
    static isNodeClient(): boolean;
    /**
     * 是否K8S客户端
     */
    static isK8SClient(): boolean;
    /**
    * K8S环境变量中的网关地址，注册中心部署中台服务时写入该环境变量
    */
    static getGatewayUrl(): string | undefined;
    /**
     * 获取IP地址
     */
    static getLocalIP(): string;
    /**
     * 判断字符串是否为空
     * @param str
     */
    static isEmpty(str: any): boolean;
    static isNotEmpty(str: any): boolean;
    static leftStrEx(text: any, splitStr: string): any;
    static rightStr(text: any, splitStr: string): any;
    static uuid(): any;
}
